package e2e

import (
	"context"
	"testing"

	"github.com/stretchr/testify/require"

	metav1 "k8s.io/apimachinery/pkg/apis/meta/v1"
	"k8s.io/client-go/kubernetes"

	test "github.com/openshift/cluster-authentication-operator/test/library"
)

func TestOperatorNamespace(t *testing.T) {
	kubeConfig := test.NewClientConfigForTest(t)

	kubeClient, err := kubernetes.NewForConfig(kubeConfig)
	require.NoError(t, err)
	_, err = kubeClient.CoreV1().Namespaces().Get(context.TODO(), "openshift-authentication-operator", metav1.GetOptions{})
	require.NoError(t, err)
}
